Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::addon::conversion::HTML2PDFRelatedResource Class Reference

Inherits Object.

## Public Member Functions
| HTML2PDFRelatedResource ()
| Constructor.
| HTML2PDFRelatedResource (foxit::common::file::ReaderCallback *related_resource_file, foxit::WString resource_file_relative_path)
| Constructor, with parameters. More...
HTML2PDFRelatedResource & | operator= (const HTML2PDFRelatedResource &data)
| Assign operator. More...

## Public Attributes
foxit::common::file::ReaderCallback * | related_resource_file
| The related resouce file.
foxit::WString | resource_file_relative_path
| The path of related_resource_file in the HTML content. More...

## Detailed Description

This class represents related resource file data used for converting HTML to PDF.

## Constructor & Destructor Documentation

## ◆ HTML2PDFRelatedResource()

foxit::addon::conversion::HTML2PDFRelatedResource::HTML2PDFRelatedResource | ( | foxit::common::file::ReaderCallback * | related_resource_file,
|  | foxit::WString | resource_file_relative_path
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | related_resource_file | The related resouce file.
  [in] | resource_file_relative_path | The path of related_resource_file in the HTML content.

Returns
  None.

## Member Function Documentation

## ◆ operator=()

HTML2PDFRelatedResource& foxit::addon::conversion::HTML2PDFRelatedResource::operator= | ( | const HTML2PDFRelatedResource & | data | ) |
| inline

Assign operator.

Parameters

  [in] | data | Another HTML-to-PDF related resource object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## Member Data Documentation

## ◆ resource_file_relative_path

foxit::WString foxit::addon::conversion::HTML2PDFRelatedResource::resource_file_relative_path

The path of related_resource_file in the HTML content.

This value should be consistent with the path in the HTML content. For example: The path of related_resource_file in HTML content is , this value should be set to "../one.png".